# -*- coding:utf-8 -*-
import base64, json, random, time
def apiReply(reply, code=200):
    return {
        "isBase64Encoded": False,
        "statusCode": code,
        "headers": {'Content-Type': 'application/json', "Access-Control-Allow-Origin": "*"},
        "body": json.dumps(reply, ensure_ascii=False)
    }

def main_handler(event, context):
    main_start = time.time()
    print(event)
    try:
        # 读取picture，并且保存
        imgData = base64.b64decode(json.loads(event["body"])['picture'])
        fileName = '/tmp/' + "".join('yanzhenma')
        with open(fileName, 'wb') as f:
            f.write(imgData)
        print("保存图片成功！")
        # 开始预测
        import ddddocr
        ocr = ddddocr.DdddOcr()
        print("开始启动ddddocr!")
        with open(fileName, 'rb') as f:
            img_bytes = f.read()
            code = str(ocr.classification(img_bytes))
            print("识别验证码为："+code)
        return apiReply({
            'code': code,
            'spendTime': str(time.time()-main_start)
            })
    except Exception as e:
        return apiReply({
            'code': str(e),
            'spendTime': str(time.time()-main_start)
            })
